#include <antiglut.h>

int main()
{
	agWindowConfig("Minimalistic AntiGlut demo",512,512,GL_FALSE);
	if(!agInit(AG_REQUIRED_1_1,GL_FALSE,GL_FALSE,GL_FALSE))
		return -1;
	/*
	 * After agInit() we are sure that:
	 *  - viewport is set to match window;
	 *  - projection set to orthogonal;
	 *  - viewing "frustum" is a cube with edge of 2, centered at origin.
	 */
	glClearColor(0,0.5f,0.5f,0);
	glClear(GL_COLOR_BUFFER_BIT);
	glScalef(0.7f,0.7f,0.7f);
	/* draw flat - shaded triangle */
	glBegin(GL_TRIANGLES);
		glColor3f(1,0,0);
		glVertex3f(-1,-1,0);
		glColor3f(0,1,0);
		glVertex3f(1,-1,0);
		glColor3f(0,0,1);
		glVertex3f(0,1,0);
	glEnd();
	/* draw 3 points triangle */
	glPointSize(10);
	glColor3f(1,1,1);
	glBegin(GL_POINTS);
		glVertex3f(-1,-1,0);
		glVertex3f(1,-1,0);
		glVertex3f(0,1,0);
	glEnd();
	/* draw wireframe triangle */
	glScalef(1.1f,1.1f,1.1f);
	glBegin(GL_LINE_LOOP);
		glVertex3f(-1,-1,0);
		glVertex3f(1,-1,0);
		glVertex3f(0,1,0);
	glEnd();
	/* exchange front and back buffers */
	agSwap();
	/* wait some time... */
	agSleep(3000);
	/* ... all done. */
	agShutdown();
	return 0;
}
